
{ config, pkgs, inputs, ... }:

{
  imports =
    [
      ./shared-configuration.nix
      ./kernighan-hardware.nix
    ];

  networking.hostName = "kernighan";

  boot.loader.grub.enable = false;
  boot.loader.generic-extlinux-compatible.enable = true;

  environment.systemPackages = with pkgs; [
    git
  ];

  networking.firewall.allowedTCPPorts = [
    22   # SSH
    80   # HTTP
    443  # HTTPS
  ];
}
